const
	maxc = 10000;
	minc = -10000;

var
	i, n: longint;
	x, y: array [0..1000] of longint;

begin
	randseed := 9723047;

	n := 100;
	x[0] := 0;
	y[0] := 0;

	for i := 1 to n do begin
		x[i] := i;
		y[i] := i mod 2;
	end;

	writeln(n);
	for i := 0 to n do begin
		writeln(x[i], ' ', y[i]);
	end;
	writeln(10000);
end.
